Results 1 to 4 of 4

Thread: Upgraded to 2.2.1 and now it's broken

  1. #1

    Upgraded to 2.2.1 and now it's broken

    Hi all.

    I upgraded from 1.6 to 2.2.1 and aside from not being able to logout (just goes to a blank page and I'm still logged in as navigating back doesn't prompt me for a password) all was well.

    This was short lived. I then changed the theme from default to 'Dark' and it no longer works at all. I can login, but now the entire main page is blank.

    I'm running Centos 6. I've read in places that this might not be supported. Could this be the reason why it's no longer working given that it was working fine before I changed the theme?

    How would I debug this?

  2. #2
    Zarafa

    Join Date
    Jan 2009
    Location
    Hanover, Germany
    Posts
    1,891
    Hello Lamby,

    Centos6 by default only brings php5.3, but recent WebApp releases need at least php 5.4. For Zarafa 7.2 and Kopano 8.x we have packages that make use of the RHEL/Centos Software Collections to use a more recent php version. As 7.1 is already and of life for some time (you mentioned in your other post you were using 7.1.14) there are no newer packages for this version.
    Regards Felix

    How to get Kopano

    Zarafa ALPHA/BETA/RC feedback in BETA forum please.
    Zarafa IRC chat: irc.freenode.com > #zarafa
    Zarafa documentation: http://documentation.zarafa.com/

    No support via PM! Please contact our sales team for an offer if you want my full attention.

  3. #3
    Hi there,

    I debugged this myself yesterday.. zarafa was trying to:

    PHP Fatal error: Call to undefined method RecursiveDirectoryIterator::getExtension() in /usr/share/zarafa-webapp/server/includes/core/class.theming.php on line 108

    The method getExtension was added to PHP v5.3.6 and I'm on 5.3.3.

    I looked into the Software Collections but this is only available for x86_64 and I'm on i686. So a bit of a conundrum. I downgraded (yum remove webapp2.2, yum install webapp2.1) and all seems to work just fine.

    Three questions:
    1) WebApp 2.2 has a dependency on PHP5.4 but what about ZCP 7.2 itself? That is, can I just upgrade to ZCP 7.2 and use WebApp 2.1?
    2) Is it OK to downgrade WebApp like I did? I was worried some database patch may have been applied or is it just solely file content?
    3) Is 7.1 to 7.2 upgrade process fairly straightforward?
    Last edited by lamby; 06-01-2017 at 10:52 AM.

  4. #4
    Zarafa

    Join Date
    Jan 2009
    Location
    Hanover, Germany
    Posts
    1,891
    Hi,

    1) the server itself does not have a specific dependency, we only had to do some housekeeping on php versions for the webclients (webapp and z-push 2.3.x as well actually)
    2) yes, no problems can be expected from downgrading webapp. Only the server itself directly operates against the database. Worst case for WebApp could be that you have to reset your users settings because of incompatible data, but I don't think this happened yet.
    3) I would say so
    Regards Felix

    How to get Kopano

    Zarafa ALPHA/BETA/RC feedback in BETA forum please.
    Zarafa IRC chat: irc.freenode.com > #zarafa
    Zarafa documentation: http://documentation.zarafa.com/

    No support via PM! Please contact our sales team for an offer if you want my full attention.

Similar Threads

  1. Upgraded to 2.3.1, but all clients still using old ids (Zimbra)
    By maxxer in forum Z-Push when using other backends
    Replies: 8
    Last Post: 06-10-2016, 08:38 PM
  2. upgraded from Zarafa 7.2.0-48204
    By fjkaauw in forum Installation, Configuration and Maintenance
    Replies: 4
    Last Post: 06-08-2015, 11:22 AM
  3. OL2003 crashes since upgraded from 6.10 to 7.10
    By michasch in forum Outlook client
    Replies: 4
    Last Post: 30-10-2012, 11:14 AM
  4. Upgraded my server
    By seabird in forum Installation, Configuration and Maintenance
    Replies: 8
    Last Post: 07-12-2011, 06:06 PM
  5. [SOLVED] Upgraded to 6.30.3-17084 and lost my MDM plugin?
    By falcon15500 in forum Installation and Configuration Archives
    Replies: 3
    Last Post: 20-10-2009, 12:10 AM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •